const NatureRemo = require('nature-remo')

const instance = new NatureRemo.Cloud(process.env.NATURE_REMO_CLOUD_API_TOKEN)
console.log('Cloud API instance initialized');

const aircon = await instance.getAircon()

console.log('name: ' + aircon.nickname)
console.log('temperature: ' + aircon.settings.temp)
console.log('mode: ' + aircon.settings.mode);
const newAirconSettings = await instance.updateAirconSettings(aircon.id, {
  button: 'power-off'
})
console.log('Aircon: turned-off')
console.log(newAirconSettings);
